# Copyright (C) 2017 Embedian, Inc.

DESCRIPTION = "U-Boot provided by Embedian with focus on i.MX7 SMARC-FiMX7 SMARC 2.0 Modules."
require  recipes-bsp/u-boot/u-boot.inc

PROVIDES += "u-boot"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

PV = "2016.03-smarcfimx7"

SRCREV = "9bd91eb64588d4eefd59bf3fc906a296d594111f"
SRCBRANCH = "smarc-rel_imx_4.1.15_2.0.0_ga"
SRC_URI = "${EMB_UBOOT_MIRROR};protocol=ssh;branch=${SRCBRANCH}"

PR = "r0+gitr${SRCPV}"

S = "${WORKDIR}/git"

UBOOT_SUFFIX = "imx"

PACKAGE_ARCH = "${MACHINE_ARCH}"
COMPATIBLE_MACHINE = "(mx6|mx6ul|mx7)"
