# Copyright (C) 2013, 2014 Freescale Semiconductor
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux Kernel for SMARC-FiMX7 and supported by Embedian"
DESCRIPTION = "Linux Kernel provided and supported by Embedian with focus on \
SMARC-FiMX7 Family Computer on Modules."

inherit kernel
require recipes-kernel/linux/linux-imx.inc
require recipes-kernel/linux/linux-dtb.inc

DEPENDS += "lzop-native bc-native"

SRCBRANCH = "smarc-rel_imx_4.1.15_1.2.0_ga"

SRC_URI = "${EMB_KERNEL_MIRROR};protocol=ssh;branch=${SRCBRANCH} \
        file://defconfig \
"

SRCREV = "d1cb1b78896581bd845134946ae92c1d0d998913"
PV = "4.1.15"
LOCALVERSION = "-1.0.1_smarc"

COMPATIBLE_MACHINE = "(mx6|mx6ul|mx7|imx7ssmarc|imx7dsmarc)"
